# radialgradient.cpp File Reference

Implementation of the "Radial Gradient" layer. More...

`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include "radialgradient.h"`

## Functions

| SYNFIG_LAYER_INIT (RadialGradient)
| SYNFIG_LAYER_SET_NAME (RadialGradient,"radial_gradient")
| SYNFIG_LAYER_SET_LOCAL_NAME (RadialGradient, N_("Radial Gradient"))
| SYNFIG_LAYER_SET_CATEGORY (RadialGradient, N_("Gradients"))
| SYNFIG_LAYER_SET_VERSION (RadialGradient,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (RadialGradient,"$Id$")

## Detailed Description

Implementation of the "Radial Gradient" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | RadialGradient |  | ) |

SYNFIG_LAYER_SET_NAME | ( | RadialGradient | ,
|  | "radial_gradient" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | RadialGradient | ,
|  | N_("Radial Gradient") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | RadialGradient | ,
|  | N_("Gradients") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | RadialGradient | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | RadialGradient | ,
|  | "$Id$" |  |
| ) |  |  |